Index: branches/proxy/src/lib/network/message_manager.cc
===================================================================
--- branches/proxy/src/lib/network/message_manager.cc	(revision 9520)
+++ branches/proxy/src/lib/network/message_manager.cc	(revision 9521)
@@ -229,5 +229,5 @@
       // call the handler function and handle errors
       if ( !(*(messageHandlerMap[(MessageType)messageType].cb))( (MessageType)messageType, data + i, messageLength,
-                                                                 messageHandlerMap[(MessageType)messageType].someData, userId ) )
+                                                                 messageHandlerMap[(MessageType)messageType].someData, senderId, destinationId ) )
       {
         // if the message is not handled correctly, bush it back to the incoming packets
@@ -255,5 +255,6 @@
   for ( std::list<NetworkMessage>::iterator it = incomingMessageQueue.begin(); it != incomingMessageQueue.end();  )
   {
-    if ( (*(messageHandlerMap[it->messageType].cb))( it->messageType, it->data, it->length, messageHandlerMap[it->messageType].someData, it->number ) )
+    if ( (*(messageHandlerMap[it->messageType].cb))( it->messageType, it->data, it->length, messageHandlerMap[it->messageType].someData,
+                                                     /*it->number, */it->senderId, it->destinationId ) )
     {
       std::list<NetworkMessage>::iterator delIt = it;
Index: branches/proxy/src/lib/network/message_manager.h
===================================================================
--- branches/proxy/src/lib/network/message_manager.h	(revision 9520)
+++ branches/proxy/src/lib/network/message_manager.h	(revision 9521)
@@ -40,5 +40,5 @@
 
 
-typedef bool (*MessageCallback)( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
+typedef bool (*MessageCallback)( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId );
 
 enum RecieverType
Index: branches/proxy/src/lib/network/network_game_manager.cc
===================================================================
--- branches/proxy/src/lib/network/network_game_manager.cc	(revision 9520)
+++ branches/proxy/src/lib/network/network_game_manager.cc	(revision 9521)
@@ -166,5 +166,5 @@
  * @return true on successfull handling else handler will be called again
  */
-bool NetworkGameManager::delSynchronizeableHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId )
+bool NetworkGameManager::delSynchronizeableHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  )
 {
 
@@ -172,7 +172,7 @@
 
   if ( SharedNetworkData::getInstance()->isMasterServer() ||
-       SharedNetworkData::getInstance()->isProxyServerActive() && SharedNetworkData::getInstance()->isUserClient(userId))
-  {
-    PRINTF(0)("Recieved DeleteSynchronizeable message from client %d!\n", userId);
+       SharedNetworkData::getInstance()->isProxyServerActive() && SharedNetworkData::getInstance()->isUserClient(senderId))
+  {
+    PRINTF(0)("Recieved DeleteSynchronizeable message from client %d!\n", senderId);
     return true;
   }
@@ -183,5 +183,5 @@
   if ( len != dataLength )
   {
-    PRINTF(2)("Recieved DeleteSynchronizeable message with incorrect size (%d) from client %d!\n", dataLength, userId);
+    PRINTF(2)("Recieved DeleteSynchronizeable message with incorrect size (%d) from client %d!\n", dataLength, senderId);
     return true;
   }
@@ -231,5 +231,5 @@
  * @return
  */
-bool NetworkGameManager::preferedTeamHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId )
+bool NetworkGameManager::preferedTeamHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  )
 {
   assert( SharedNetworkData::getInstance()->isMasterServer() /*||  SharedNetworkData::getInstance()->isProxyServerActive()*/);
@@ -240,9 +240,9 @@
   if ( len != dataLength )
   {
-    PRINTF(2)("Recieved DeleteSynchronizeable message with incorrect size (%d) from client %d!\n", dataLength, userId);
+    PRINTF(2)("Recieved DeleteSynchronizeable message with incorrect size (%d) from client %d!\n", dataLength, senderId);
     return true;
   }
 
-  NetworkGameManager::getInstance()->setPreferedTeam( userId, teamId );
+  NetworkGameManager::getInstance()->setPreferedTeam( senderId, teamId );
 
   return true;
@@ -314,8 +314,8 @@
 
 
-bool NetworkGameManager::chatMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId )
-{
-  PRINTF(0)("NetworkGameManager::chatMessageHandler %d %d\n", userId, SharedNetworkData::getInstance()->getHostID() );
-  if ( (SharedNetworkData::getInstance()->isMasterServer() /*|| SharedNetworkData::getInstance()->isProxyServerActive()*/) && userId !=  SharedNetworkData::getInstance()->getHostID() )
+bool NetworkGameManager::chatMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  )
+{
+  PRINTF(0)("NetworkGameManager::chatMessageHandler %d %d\n", senderId, SharedNetworkData::getInstance()->getHostID() );
+  if ( (SharedNetworkData::getInstance()->isMasterServer() /*|| SharedNetworkData::getInstance()->isProxyServerActive()*/) && senderId !=  SharedNetworkData::getInstance()->getHostID() )
   {
     MessageManager::getInstance()->sendMessage( messageType, data, dataLength, RT_ALL_BUT_ME, 0, MP_HIGHBANDWIDTH );
@@ -329,5 +329,5 @@
   if ( dataLength < 3*INTSIZE )
   {
-    PRINTF(2)("got too small chatmessage from client %d\n", userId);
+    PRINTF(2)("got too small chatmessage from client %d\n", senderId);
 
     return true;
Index: branches/proxy/src/lib/network/network_game_manager.h
===================================================================
--- branches/proxy/src/lib/network/network_game_manager.h	(revision 9520)
+++ branches/proxy/src/lib/network/network_game_manager.h	(revision 9521)
@@ -70,7 +70,7 @@
     NetworkGameManager();
 
-    static bool delSynchronizeableHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
-    static bool preferedTeamHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
-    static bool chatMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
+    static bool delSynchronizeableHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  );
+    static bool preferedTeamHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  );
+    static bool chatMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  );
 
     void setPreferedTeam( int userId, int teamId );
Index: branches/proxy/src/lib/network/player_stats.cc
===================================================================
--- branches/proxy/src/lib/network/player_stats.cc	(revision 9520)
+++ branches/proxy/src/lib/network/player_stats.cc	(revision 9521)
@@ -212,5 +212,5 @@
 }
 
-bool PlayerStats::changeNickHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId )
+bool PlayerStats::changeNickHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  )
 {
   std::string newNick;
@@ -219,10 +219,10 @@
   if ( res != dataLength )
   {
-    PRINTF(2)("invalid message size from user %d\n", userId);
+    PRINTF(2)("invalid message size from user %d\n", senderId);
     newNick = "invalid";
   }
 
-  if ( PlayerStats::getStats( userId ) )
-    PlayerStats::getStats( userId )->setNickName( newNick );
+  if ( PlayerStats::getStats( senderId) )
+    PlayerStats::getStats( senderId )->setNickName( newNick );
 
   return true;
Index: branches/proxy/src/lib/network/player_stats.h
===================================================================
--- branches/proxy/src/lib/network/player_stats.h	(revision 9520)
+++ branches/proxy/src/lib/network/player_stats.h	(revision 9521)
@@ -66,5 +66,5 @@
     inline std::string getNickName(){ return this->nickName; }
     void setNickName( std::string nick );
-    static bool changeNickHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
+    static bool changeNickHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  );
     void shellNick( const std::string&  newNick );
 
Index: branches/proxy/src/world_entities/spawning_point.cc
===================================================================
--- branches/proxy/src/world_entities/spawning_point.cc	(revision 9520)
+++ branches/proxy/src/world_entities/spawning_point.cc	(revision 9521)
@@ -216,5 +216,8 @@
 }
 
-bool SpawningPoint::respawnMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId )
+/**
+ * message handler for respawn message
+ */
+bool SpawningPoint::respawnMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  )
 {
   if ( SharedNetworkData::getInstance()->isMasterServer() /*|| SharedNetworkData::getInstance()->isProxyServerActive()*/)
Index: branches/proxy/src/world_entities/spawning_point.h
===================================================================
--- branches/proxy/src/world_entities/spawning_point.h	(revision 9520)
+++ branches/proxy/src/world_entities/spawning_point.h	(revision 9521)
@@ -70,5 +70,5 @@
 
     void sendRespawnMessage( int uniqueId );
-    static bool respawnMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int userId );
+    static bool respawnMessageHandler( MessageType messageType, byte * data, int dataLength, void * someData, int senderId, int destinationId  );
 
 
